This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 452846 - FEAT: RHEL 4.8 HDA ALSA driver update from mainstream
FEAT: RHEL 4.8 HDA ALSA driver update from mainstream
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.8
All Linux
high Severity low
: rc
: ---
Assigned To: Jaroslav Kysela
Martin Jenner
: FutureFeature
: 213122 437118 450195 453117 454696 457943 (view as bug list)
Depends On:
Blocks: 437118 450195 454696 RHEL4u8_relnotes 461297
  Show dependency treegraph
 
Reported: 2008-06-25 08:55 EDT by Jaroslav Kysela
Modified: 2010-10-22 22:12 EDT (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
The Intel® High Definition Audio (HDA) driver in ALSA has been updated. This update improves audio support for newer hardware with HDA integrated audio.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-18 15:18:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
update from mainstream for RHEL 4.7 (1.16 MB, patch)
2008-06-25 09:38 EDT, Jaroslav Kysela
no flags Details | Diff

  None (edit)
Description Jaroslav Kysela 2008-06-25 08:55:42 EDT
HDA ALSA driver code update for RHEL 4.7 (maybe 4.8)

The goal is to backport HDA ALSA driver code from mainstream ALSA development to
RHEL 5.3 kernel. It will add support for new hardware (integrated soundcards on
motherboards and notebooks).
Comment 1 Jaroslav Kysela 2008-06-25 09:13:27 EDT
The bug#451007 contains identical backported code.

The test kernels are available here:

http://people.redhat.com/jkysela/hdaUpdate2/
Comment 2 Jaroslav Kysela 2008-06-25 09:38:42 EDT
Created attachment 310265 [details]
update from mainstream for RHEL 4.7
Comment 3 Jaroslav Kysela 2008-07-22 08:18:06 EDT
New test kernels and patches (update from 2008-07-22) are available at:

http://people.redhat.com/jkysela/hdaUpdate3/RHEL4.8/
Comment 4 Shane Huang 2008-07-22 21:16:54 EDT
Reply to Jaroslav's comment #55 of BZ #428964
> Shane, I am planning to do a big ALSA HDA driver update for RHEL 4.8.
> Could you test also kernels in bug#452846 (hdaUpdate3)? 
> These kernels contains latest ALSA HDA driver code. Thank you.

That is okay, I can ask our QA to do some test to the alsa update
with our SB700 platform. But
1. Which items do you want to be tested? HD audio and HDMI audio?
2. From which ISO release this update will be included? RHEL4.8 Beta?
We can test the RHEL4.8 release if it will come soon.

Thanks
Comment 5 Jaroslav Kysela 2008-07-23 10:33:46 EDT
(In reply to comment #4)

> That is okay, I can ask our QA to do some test to the alsa update
> with our SB700 platform. But
> 1. Which items do you want to be tested? HD audio and HDMI audio?
> 2. From which ISO release this update will be included? RHEL4.8 Beta?
> We can test the RHEL4.8 release if it will come soon.

The whole snd-hda-intel driver (HD + HDMI audio) is affected. I would like just
to get some preliminary test results before inclusion to RHEL 4.8 kernel.
Please, just do only a really quick test for the moment (install hdaUpdate3
kernel in comment#3 and try basic audio functionality). Thanks.
Comment 6 Shane Huang 2008-07-23 23:41:52 EDT
OK, our QA will do a basic test on our platform.
Comment 7 tom 2008-07-24 05:01:32 EDT
I've done some basic test for HDA&HDMI. All HDA functions seems to be good so far.
But there is some command line changing when aplay audio file via HDMI.

aplay -Dhw:1 xxx.wav(HDMI device is on cards 1) ----- works in RHEL4U7 RC,
failed with this new patch, error message as below:
>ALSA lib pcm_hw.c:1155:(snd_pcm_hw_open) open /dev/snd/pcmC1D0p failed: No such
>file or directory
>aplay: main:508: audio open error: No such file or directory

aplay -Dhw:1,3 xxx.wav ----- works well with this new patch.
Comment 8 Jaroslav Kysela 2008-07-24 06:12:22 EDT
Yes, PCM device indexes were changed, because we tried to solve other problem:

    [ALSA] hda-intel - Fix PCM device number assignment

    In the current scheme, PCM device numbers are assigned incrementally
    in the order of codecs.  This causes problems when the codec number
    is irregular, e.g. codec #0 for HDMI and codec #1 for analog.  Then
    the HDMI becomes the first PCM, which is picked up as the default
    output device.  Unfortuantely this doesn't work well with normal
    setups.

    This patch introduced the fixed device numbers for the PCM types,
    namely, analog, SPDIF, HDMI and modem.  The PCM devices are assigned
    according to the corresponding PCM type.  After this patch, HDMI will
    be always assigned to PCM #3, SPDIF to PCM #1, and the first analog
    to PCM #0, etc.

Thank you for testing.
Comment 10 Jaroslav Kysela 2008-08-21 06:37:40 EDT
*** Bug 454696 has been marked as a duplicate of this bug. ***
Comment 11 Jaroslav Kysela 2008-08-26 04:44:30 EDT
*** Bug 450195 has been marked as a duplicate of this bug. ***
Comment 12 Jaroslav Kysela 2008-08-26 04:50:11 EDT
*** Bug 437118 has been marked as a duplicate of this bug. ***
Comment 14 RHEL Product and Program Management 2008-09-03 08:50:46 EDT
Updating PM score.
Comment 15 Vivek Goyal 2008-09-03 12:19:29 EDT
Committed in 78.7.EL . RPMS are available at http://people.redhat.com/vgoyal/rhel4/
Comment 16 Shane Huang 2008-09-08 02:22:28 EDT
HD audio and HDMI audio can work on SB700+RS780 Shiner board with -78.7
Comment 17 Jaroslav Kysela 2008-09-08 11:26:26 EDT
*** Bug 453117 has been marked as a duplicate of this bug. ***
Comment 24 Jaroslav Kysela 2009-03-09 09:01:45 EDT
*** Bug 457943 has been marked as a duplicate of this bug. ***
Comment 26 Jaroslav Kysela 2009-03-23 11:03:37 EDT
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
The ALSA sound driver for Intel HDA and compatible chipsets (AMD, NVidia)
was updated with more recent version from upstream Linux kernel development.

This update improves audio support for newer hardware with HDA integrated audio.
Comment 28 Ryan Lerch 2009-03-31 19:47:15 EDT
Release note updated. If any revisions are required, please set the 
"requires_release_notes"  flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -1,4 +1 @@
-The ALSA sound driver for Intel HDA and compatible chipsets (AMD, NVidia)
+The Intel® High Definition Audio (HDA) driver in ALSA has been updated. This update improves audio support for newer hardware with HDA integrated audio.-was updated with more recent version from upstream Linux kernel development.
-
-This update improves audio support for newer hardware with HDA integrated audio.
Comment 29 Linda Wang 2009-04-06 14:50:23 EDT
*** Bug 213122 has been marked as a duplicate of this bug. ***
Comment 30 Chris Ward 2009-05-05 09:56:50 EDT
Any updates here? Has this issue been resolved in the RHEL 4.8 Beta? later kernel?
Comment 32 errata-xmlrpc 2009-05-18 15:18:48 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1024.html

Note You need to log in before you can comment on or make changes to this bug.